package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag742;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT742Creator;

/**
 * @author wuzhe
 * @date 2023/2/28
 */
public class Tag21Creator extends AbsTagCreate {

     private MT742Creator mt742Creator;

    public Tag21Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt742Creator= (MT742Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag21Value = mt742Creator.getDocumentaryCreditNumber();
        mt742Creator.set("21", tag21Value);
    }
}
